package model

import (
	"dy-admin/internal/pcmserver/common"
	"dy-admin/internal/pcmserver/utils"
	"gorm.io/gorm"
	"time"
)

// CabinetTime 针对单个柜子的时间管理，优先级最高
type CabinetTime struct {
	common.Model
	CabinetID  int        `json:"cabinetId" gorm:"comment:'柜子id'"`
	ActTime    *time.Time `json:"-" gorm:"type:time;comment:'执行时间'"`
	ActTimeStr string     `json:"actTimeStr" gorm:"-"`
	Act        string     `json:"act" gorm:"comment:'操作 1-允许开 2-禁止开'"`
	Repeat     string     `json:"repeat" gorm:"comment:'重复'"`
	UseRule    string     `json:"use_rule" gorm:"comment:'1-弃用 2-禁用'"`
	common.ControlBy
	common.ModelTime
}

func (m *CabinetTime) TableName() string {
	return "bus_cabinet_time"
}

func (m *CabinetTime) AfterFind(_ *gorm.DB) error {
	m.ActTimeStr = utils.FormatTime(m.ActTime)
	return nil
}
