package model

import (
	"dy-admin/internal/pcmserver/common"
	"time"
)

const (
	MsgTypeSend = iota + 1
	MsgTypeReceive
)

type DeviceLog struct {
	common.Model
	CabinetID int       `json:"cabinetId" gorm:"comment:'和设备同步的柜子编号'"`
	MsgType   uint8     `json:"msgType" gorm:"comment:'设备指令类型 1-下发 2-接收'"`
	MsgName   string    `json:"msgName" gorm:"comment:'指令名称'"`
	Message   string    `json:"message" gorm:"size:2048;comment:16进制指令"`
	CreatedAt time.Time `json:"createdAt" gorm:"comment:创建时间"`
	UpdatedAt time.Time `json:"updatedAt" gorm:"comment:最后更新时间"`
}

func (m *DeviceLog) TableName() string {
	return "bus_device_logs"
}
