package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type GridWarnLogRouter struct {
}

func (s *GridWarnLogRouter) InitGridWarnLogRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/warn").Use(my_middleware.OperationRecord())
	gridWarnRouterApi := v1.BusinessApiGroup.GridWarnLogApi
	{
		apiRouter.POST("", gridWarnRouterApi.CreateGridWarnLog)
		apiRouter.DELETE("", gridWarnRouterApi.DeleteGridWarnLogByIds)
		apiRouter.GET("list", gridWarnRouterApi.GetGridWarnLogList)
		apiRouter.GET("statistics", gridWarnRouterApi.GetGridWarnLogStatistics)
	}
}
