package router

import (
	v1 "dy-admin/internal/pcmserver/bus/api/v1"
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	"github.com/gin-gonic/gin"
)

type LeaveLogRouter struct {
}

func (s *LeaveLogRouter) InitLeaveLogRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/leave").Use(my_middleware.OperationRecord())
	leaveLOgRouterApi := v1.BusinessApiGroup.LeaveLogApi
	{
		apiRouter.POST("", leaveLOgRouterApi.CreateLeaveLog)
		apiRouter.PUT("", leaveLOgRouterApi.UpdateLeaveLog)
		apiRouter.GET("", leaveLOgRouterApi.GetLeaveLog)
		apiRouter.DELETE("", leaveLOgRouterApi.DeleteLeaveLogByIds)
		apiRouter.GET("list", leaveLOgRouterApi.GetLeaveLogList)
	}
}
