package service

import (
	"dy-admin/internal/pcmserver/bus/model"
	"dy-admin/internal/pcmserver/global"
	"dy-admin/pkg/log"
	"fmt"
	"go.uber.org/zap"
	"time"
)

type CabinetTimeCronJob struct {
	CabinetID int
	Action    string
}

func (job *CabinetTimeCronJob) Run() {
	now := time.Now()
	var execRes = "定时任务已执行，执行信息： "
	defer func() {
		// 记录执行日志
		err := global.DB.Create(&model.CronLog{
			ExecTime: now,
			CronName: "cabinet_time",
			CronRes:  execRes,
		}).Error
		if err != nil {
			log.Error("create cron log err", zap.Error(err))
		}
	}()

	err := ServicesGroupApp.CabinetService.ChangeCabinetStatus(job.CabinetID, job.Action)
	if err != nil {
		log.Error("err:", zap.Error(err))
		execRes += fmt.Sprintf("柜子id:%d,动作:%s,err:%s", job.CabinetID, job.Action, err)
		return
	}
	execRes += fmt.Sprintf("柜子id:%d,动作:%s", job.CabinetID, job.Action)
	return
}
