package service

import (
	"dy-admin/internal/pcmserver/bus/cabinet_pkg"
	"dy-admin/internal/pcmserver/pkg/crontab"
)

type MemoryInfoService struct {
}

// GetCabinets 内存中柜子信息
func (s *MemoryInfoService) GetCabinets() []cabinet_pkg.MemInfo {
	return cabinet_pkg.GetCabinets()
}

func (s *MemoryInfoService) GetJobs() map[string][]*crontab.JobInfo {
	info := make(map[string][]*crontab.JobInfo)
	info["work_time"] = crontab.GetCron("work_time").GetJobs()
	info["leave"] = crontab.GetCron("leave").GetJobs()
	info["cabinet_time"] = crontab.GetCron("cabinet_time").GetJobs()
	info["delete_log"] = crontab.GetCron("delete_log").GetJobs()
	return info
}

func (s *MemoryInfoService) GetConfig() *cabinet_pkg.CabinetConfig {
	return cabinet_pkg.GetMemConfig()
}
