package global

import (
	"dy-admin/internal/pcmserver/config"
	"dy-admin/pkg/initialize"
	"dy-admin/pkg/jwt"
	"gorm.io/gorm"
)

var (
	DB  *gorm.DB
	CFG *config.Config
	JWT *jwt.JWT
)

func InitGlobalVars(cfg *config.Config) {
	// 全局配置
	CFG = cfg
	// 初始化mysql
	db, err := initialize.GormMysqlByConfig(cfg.MySQLOptions)
	if err != nil {
		panic(err)
	}
	DB = db
	// jwt
	JWT = jwt.NewJWT(cfg.JwtOptions)
}
