package request

import "dy-admin/internal/pcmserver/common"

type Login struct {
	Username string `json:"username"` // 用户名
	Password string `json:"password"` // 密码
}

type Register struct {
	Username string `json:"userName" example:"用户名"`
	Password string `json:"passWord" example:"密码"`
	NickName string `json:"nickName" example:"昵称"`
	Phone    string `json:"phone" example:"电话号码"`
	Sex      string `json:"sex" `
	Email    string `json:"email"`
	DeptId   int    `json:"deptId" `
	Remark   string `json:"remark"`
	Status   string `json:"status"`
	RoleIds  int    `json:"roleIds"`
}

type SearchUserReq struct {
	NickName string `json:"nickName" form:"nickName"`
	Status   string `json:"status" form:"status"`
	Phone    string `json:"phone" form:"phone"`
	DeptId   int    `json:"deptId" form:"deptId"`
	common.PageInfo
}

type ChangePasswordReq struct {
	UserID      uint   `json:"-"`           // 从 JWT 中提取 user id，避免越权
	Password    string `json:"password"`    // 密码
	NewPassword string `json:"newPassword"` // 新密码
}

type ChangeUserInfoReq struct {
	UserId   int    `json:"userId" `
	Username string `json:"userName" `
	NickName string `json:"nickName" `
	Phone    string `json:"phone" `
	Sex      string `json:"sex" `
	Email    string `json:"email"`
	DeptId   int    `json:"deptId" `
	Remark   string `json:"remark"`
	Status   string `json:"status"`
	RoleIds  int    `json:"roleIds"`
}

type ChangeSelfInfoReq struct {
	Username string `json:"userName" example:"用户名"`
	NickName string `json:"nickName" example:"昵称"`
	Phone    string `json:"phone" example:"电话号码"`
	Sex      string `json:"sex" `
	Email    string `json:"email"`
	DeptId   int    `json:"deptId" `
	Remark   string `json:"remark"`
	Status   string `json:"status"`
}
