package router

import (
	"dy-admin/internal/pcmserver/pkg/my_middleware"
	v1 "dy-admin/internal/pcmserver/sys/api/v1"
	"github.com/gin-gonic/gin"
)

type UserRouter struct {
}

func (s *UserRouter) InitUserRouter(routerGroup *gin.RouterGroup) {
	apiRouter := routerGroup.Group("v1/user").Use(my_middleware.OperationRecord())
	userRouterApi := v1.SystemApiGroup.UserApi
	{
		apiRouter.POST("register", userRouterApi.Register)
		apiRouter.PUT("resetPassword", userRouterApi.ResetPassword)
		apiRouter.PUT("changePassword", userRouterApi.ChangePassword)
		apiRouter.GET("list", userRouterApi.GetUserList)
		apiRouter.DELETE("", userRouterApi.DeleteUser)
		apiRouter.PUT("setUserInfo", userRouterApi.SetUserInfo)
		apiRouter.PUT("setSelfInfo", userRouterApi.SetSelfInfo)
		apiRouter.GET("getUserInfo", userRouterApi.GetUserInfo)
		apiRouter.GET("getInfo", userRouterApi.GetInfo)
	}
}
