package utils

var (
	// sys
	PageInfoVerify       = Rules{"Page": {NotEmpty()}, "PageSize": {NotEmpty()}}
	IdVerify             = Rules{"ID": []string{NotEmpty()}}
	ApiVerify            = Rules{"Path": {NotEmpty()}, "Description": {NotEmpty()}, "ApiGroup": {NotEmpty()}, "Action": {NotEmpty()}, "Type": {NotEmpty()}}
	DeptVerify           = Rules{"ParentId": {Ge("0")}, "DeptName": {NotEmpty()}}
	MenuVerify           = Rules{"Title": {NotEmpty()}, "MenuType": {NotEmpty()}, "ParentId": {Ge("0")}, "Sort": {Ge("0")}}
	UpdateMenuVerify     = Rules{"MenuID": {NotEmpty()}, "ParentId": {Ge("0")}}
	RoleIdVerify         = Rules{"RoleID": {NotEmpty()}}
	RoleVerify           = Rules{"RoleName": {NotEmpty()}}
	RoleDataScopeVerify  = Rules{"RoleID": {NotEmpty()}, "DataScope": {NotEmpty()}}
	LoginVerify          = Rules{"Username": {NotEmpty()}, "Password": {NotEmpty()}}
	RegisterVerify       = Rules{"Username": {NotEmpty()}, "UserName": {NotEmpty()}, "Password": {NotEmpty()}}
	ChangePasswordVerify = Rules{"Password": {NotEmpty()}, "NewPassword": {NotEmpty()}}
	IdsVerify            = Rules{"IDs": {NotEmpty()}}
	GetGridsVerify       = Rules{"CabinetID": {NotEmpty()}}
	WSVerify             = Rules{"UserID": {NotEmpty()}, "DeptID": {NotEmpty()}}

	// bus
	LeaveLogVerify    = Rules{"StartTimeStr": {NotEmpty()}, "EndTimeStr": {NotEmpty()}, "StaffID": {Ge("0")}}
	StaffVerify       = Rules{"Name": {NotEmpty()}}
	CabinetVerify     = Rules{"Number": {NotEmpty()}, "DepartmentID": {NotEmpty()}, "Name": {NotEmpty()}}
	CabinetTimeVerify = Rules{"CabinetID": {NotEmpty()}, "ActTimeStr": {NotEmpty()}, "Act": {NotEmpty()}, "Repeat": {NotEmpty()}, "UseRule": {NotEmpty()}}
	WorkTimeVerify    = Rules{"WeekDay": {NotEmpty()}, "StartTimeStr": {NotEmpty()}, "EndTimeStr": {NotEmpty()}, "WorkDay": {NotEmpty()}}
	SpecialTimeVerify = Rules{"Name": {NotEmpty()}, "StartTimeStr": {NotEmpty()}, "EndTimeStr": {NotEmpty()}, "WorkDay": {NotEmpty()}}

	CustomerVerify    = Rules{"CustomerName": {NotEmpty()}, "CustomerPhoneData": {NotEmpty()}}
	AutoCodeVerify    = Rules{"Abbreviation": {NotEmpty()}, "StructName": {NotEmpty()}, "PackageName": {NotEmpty()}, "Fields": {NotEmpty()}}
	AutoPackageVerify = Rules{"PackageName": {NotEmpty()}}
	AuthorityVerify   = Rules{"AuthorityId": {NotEmpty()}, "AuthorityName": {NotEmpty()}}

	OldAuthorityVerify = Rules{"OldAuthorityId": {NotEmpty()}}

	SetUserAuthorityVerify = Rules{"AuthorityId": {NotEmpty()}}
)
